unit LoadStore;
interface

const INIFILE='.\CliClone.ini';

procedure LoadIt;
procedure StoreIt;

implementation
uses SysUtils,Main,FieldPaint,INIFileEx;

procedure LoadIt;
var i:integer;
    INI:TINIFileEx;
begin
  INI:=nil;
  try
    INI:=TINIFileEx.Create(INIFILE);
    with MainForm,INI do begin
      FWidth:=ReadInteger('CliClone','FWidth',FWidth);
      FHeight:=ReadInteger('CliClone','FHeight',FHeight);
      BWidth:=ReadInteger('CliClone','BWidth',BWidth);
      BHeight:=ReadInteger('CliClone','BHeight',BHeight);
      FColors:=ReadInteger('CliClone','FColors',FColors);
      AnimSpeed:=ReadInteger('CliClone','AnimSpeed',AnimSpeed);
      BitmapName:=ReadString('CliClone','BitmapName',BitmapName);
      Background:=ReadString('CliClone','Background',Background);
      for i:=0 to MAXCOLORS do
        FieldColors[i]:=ReadColor('CliClone','Color'+IntToStr(i),FieldColors[i]);
    end;
  finally
    INI.Free;
  end;
end;

procedure StoreIt;
var i:integer;
    INI:TINIFileEx;
begin
  INI:=nil;
  try
    INI:=TINIFileEx.Create(INIFILE);
    with MainForm,INI do begin
      WriteInteger('CliClone','FWidth',FWidth);
      WriteInteger('CliClone','FHeight',FHeight);
      WriteInteger('CliClone','BWidth',BWidth);
      WriteInteger('CliClone','BHeight',BHeight);
      WriteInteger('CliClone','FColors',FColors);
      WriteInteger('CliClone','AnimSpeed',AnimSpeed);
      WriteString('CliClone','BitmapName',BitmapName);
      WriteString('CliClone','Background',Background);
      for i:=0 to MAXCOLORS do
        WriteColor('CliClone','Color'+IntToStr(i),FieldColors[i]);
    end;
  finally
    INI.Free;
  end;
end;

end.
